# tinker.types.ExternalWeightsUploadStartRequest *Generated from tinker 0.39.0 at commit [`4801e02`](https://github.com/thinking-machines-lab/tinker/tree/4801e02f551a41dc81476ab49c1a7af200d21fb3). Source links point at that snapshot.* ## *class* [**tinker.types.ExternalWeightsUploadStartRequest**](https://github.com/thinking-machines-lab/tinker/blob/4801e02f551a41dc81476ab49c1a7af200d21fb3/src/tinker/types/external_weights_upload.py#L35)(*[StrictBase](https://github.com/thinking-machines-lab/tinker/blob/4801e02f551a41dc81476ab49c1a7af200d21fb3/src/tinker/_models.py#L76)*) Transport: HTTP/JSON request body of /api/v1/external_weights_upload_start, from the SDK to the API server, which also stores it with the upload; never stored by the SDK. **Fields:** - [**base_model**](https://github.com/thinking-machines-lab/tinker/blob/4801e02f551a41dc81476ab49c1a7af200d21fb3/src/tinker/types/external_weights_upload.py#L39) (*str*) - [**lora_config**](https://github.com/thinking-machines-lab/tinker/blob/4801e02f551a41dc81476ab49c1a7af200d21fb3/src/tinker/types/external_weights_upload.py#L40) (*[LoraConfig](https://tinker-docs.thinkingmachines.ai/tinker/api-reference/types/loraconfig/index.md)*) - [**destination_project_id**](https://github.com/thinking-machines-lab/tinker/blob/4801e02f551a41dc81476ab49c1a7af200d21fb3/src/tinker/types/external_weights_upload.py#L41) (*str | None*)